--- show.c.orig	2012-10-01 00:08:42.000000000 -0400
+++ show.c	2012-09-30 23:16:30.000000000 -0400
@@ -9,21 +9,17 @@
 #include <math.h>
 #include "jgraph.h"
 
-static spaces(nsp)
-int nsp;
+static void spaces(int nsp)
 {
   while(nsp-- > 0) putchar(' ');
 }
 
-float ptoin(p)
-float p;
+static float ptoin(float p)
 {
   return p / FCPI;
 }
 
-float ptoc(p, a)
-float p;
-Axis a;
+static float ptoc(float p, Axis a)
 {
   if (a->is_lg) {
     return (float) exp((p / a->factor + a->logmin) * a->logfactor);
@@ -32,9 +28,7 @@ Axis a;
   }
 }
 
-float ptodist(p, a)
-float p;
-Axis a;
+static float ptodist(float p, Axis a)
 {
   if (a->is_lg) {
     return p  / FCPI;
@@ -43,8 +37,7 @@ Axis a;
   }
 }
 
-static show_mltiline(s)
-char *s;
+static void show_mltiline(const char *s)
 {
   int i;
 
@@ -57,8 +50,7 @@ char *s;
   putchar('\n');
 }
 
-show_string(s)
-char *s;
+static void show_string(const char *s)
 {
   int i;
 
@@ -74,10 +66,7 @@ char *s;
 }
     
    
-show_label(l, nsp, g)
-Label l;
-int nsp;
-Graph g;
+static void show_label(Label l, int nsp, Graph g)
 {
   spaces(nsp); 
   show_string(l->label);
@@ -98,10 +87,7 @@ Graph g;
   return;
 }
 
-show_lmark(l, nsp, g)
-Label l;
-int nsp;
-Graph g;
+static void show_lmark(Label l, int nsp, Graph g)
 {
   spaces(nsp); show_string(l->label);
   spaces(nsp); printf("x %f ", ptodist(l->x, g->x_axis));
@@ -110,13 +96,9 @@ Graph g;
                printf("rotate %f\n", l->rotate);
   spaces(nsp); printf("font %s ", l->font);
                printf("fontsize %f\n", l->fontsize);
-  return;
 }
 
-show_curve(c, nsp, g)
-Curve c;
-int nsp;
-Graph g;
+static void show_curve(Curve c, int nsp, Graph g)
 {
   Point p;
   Point px;
@@ -251,10 +233,7 @@ Graph g;
                           ptodist(c->asize[1], g->y_axis) * 2.0);
 }
 
-show_axis(a, nsp, g)
-Axis a;
-int nsp;
-Graph g;
+static void show_axis(Axis a, int nsp, Graph g)
 {
   Axis other;
   Hash h;
@@ -342,10 +321,7 @@ Graph g;
   }
 }
 
-show_legend(l, nsp, g)
-Legend l;
-int nsp;
-Graph g;
+static void show_legend(Legend l, int nsp, Graph g)
 {
   if (l->type == 'c') {
     spaces(nsp); printf("custom\n");
@@ -362,9 +338,7 @@ Graph g;
   }
 }
 
-show_graph(g, nsp)
-Graph g;
-int nsp;
+static void show_graph(Graph g, int nsp)
 {
 
   Curve c;
@@ -394,8 +368,7 @@ int nsp;
   }
 }
 
-show_graphs(gs)
-Graphs gs;
+void show_graphs(Graphs gs)
 {
   Graphs the_g;
   Graph g;
